//-----------------------------------------------------------------------------
//
// P_SAVEG.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
// NOTE: Risen3D varies substantially from any ports on which it may
//       be based [see the c file(s) to which this applies] and any
//       same named header files are not commutable.
//
//-----------------------------------------------------------------------------

#ifndef __P_SAVEG__
#define __P_SAVEG__

void	SV_SaveGameFile(int slot);
int		SV_SaveGame(int slot, char *description);
int		SV_GetSaveDescription(char *str);
int		SV_LoadGame(void);
void	SV_Write(void *data, int len);
void	SV_WriteByte(byte val);
void	SV_WriteShort(short val);
void	SV_WriteLong(long val);
void	SV_WriteFloat(float val);
void	SV_Read(void *data, int len);
byte	SV_ReadByte();
short	SV_ReadShort();
long	SV_ReadLong();
float	SV_ReadFloat();

#endif
