//-----------------------------------------------------------------------------
//
// CON_BIND.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
// NOTE: Risen3D varies substantially from any ports on which it may
//       be based [see the c file(s) to which this applies] and any
//       same named header files are not commutable.
//
//-----------------------------------------------------------------------------

#ifndef __CON_BIND_H__
#define __CON_BIND_H__

#include <stdio.h>

void	B_Bind(event_t *event, char *command);
void	B_EventBuilder(char *buff, event_t *ev, RDBOOL to_event);
int		B_BindingsForCommand(char *command, char *buffer);
void	B_ClearBinding(char *command);
void	B_Responder(event_t *ev);
void	B_WriteToFile(FILE *file);
void	B_Shutdown();

#endif 