//-----------------------------------------------------------------------------
//
// CON_FUNCTIONS.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
// NOTE: Risen3D varies substantially from any ports on which it may
//       be based [see the c file(s) to which this applies] and any
//       same named header files are not commutable.
//
//-----------------------------------------------------------------------------

#ifndef __CON_FUNCTONS_H__
#define __CON_FUNCTONS_H__

#include "cvars.h"

int CCmdActiveMobjs(int argc, char **argv);
int CCmdAddSub(int argc, char **argv);
int CCmdAlias(int argc, char **argv);
int CCmdAutoMap(int argc, char **argv);
int CCmdBackgroundTurn(int argc, char **argv);
int CCmdBind(int argc, char **argv);
int CCmdCheat(int argc, char **argv);
int CCmdCheatGive(int argc, char **argv);
int CCmdCheatGod(int argc, char **argv);
int CCmdCheatMassacre(int argc, char **argv);

int CCmdCheatNoClip(int argc, char **argv);
int CCmdCheatReveal(int argc, char **argv);
int CCmdCheatWarp(int argc, char **argv);
int CCmdClearBindings(int argc, char **argv);
int CCmdConsole(int argc, char **argv);
int CCmdCrosshair(int argc, char **argv);
int CCmdDeleteBind(int argc, char **argv);
int CCmdDump(int argc, char **argv);
int CCmdDynIntensity(int argc, char **argv);
int CCmdEcho(int argc, char **argv);

int CCmdEdcam(int argc, char **argv);
int CCmdEditWarc(int argc, char **argv);
int CCmdEditWarl(int argc, char **argv);
int CCmdEditWars(int argc, char **argv);
int CCmdEditWarss(int argc, char **argv);
int CCmdFly(int argc, char **argv);
int CCmdFog(int argc, char **argv);
int CCmdHudCycle(int argc, char **argv);
int CCmdKillSelf(int argc, char **argv);
int CCmdListActs(int argc, char **argv);

int CCmdListAliases(int argc, char **argv);
int CCmdListBindings(int argc, char **argv);
int CCmdListCmds(int argc, char **argv);
int CCmdListFiles(int argc, char **argv);
int CCmdListVars(int argc, char **argv);
int CCmdMenuAction(int argc, char **argv);
int CCmdMsgRefresh(int argc, char **argv);
int CCmdOpenPanel(int argc, char **argv);
int CCmdParse(int argc, char **argv);

int CCmdPause(int argc, char **argv);
int CCmdPlayMusic(int argc, char **argv);
int CCmdPlaySound(int argc, char **argv);
int CCmdPrintPlayerCoords(int argc, char **argv);
int CCmdQuit(int argc, char **argv);
int CCmdRebuildMidi(int argc, char **argv);
int CCmdRepeat(int argc, char **argv);
int CCmdResetTextures(int argc, char **argv);
int CCmdScreenShot(int argc, char **argv);

int CCmdSetCamera(int argc, char **argv);
int CCmdSkyBox(int argc, char **argv);
int CCmdStopInFine(int argc, char **argv);
int CCmdStopMusic(int argc, char **argv);
int CCmdToggleList(int argc, char **argv);
int CCmdTorch(int argc, char **argv);
int CCmdWalkRun(int argc, char **argv);
int CCmdVersion(int argc, char **argv);

int CCmdWait(int argc, char **argv);
int CCmdZoom(int argc, char **argv);
int CCmdSwapRenderingOrder(int argc, char **argv);

#endif