//-----------------------------------------------------------------------------
//
// R3D_OPENGL.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//-----------------------------------------------------------------------------

#ifndef __R3D_OPENGL_H__
#define __R3D_OPENGL_H__

#include <windows.h>
#include <GL/GL.h>
#include <GL/glext.h>
#include <GL/glu.h>
#include <string.h>

typedef struct {
	int		extAniso;
	int		extGenMip;
	int		extSwapinterval;
} glext_t;

extern glext_t glx;


// b220-1 useArrays removed 14/Jun/2008

extern int	extNvTexEnvComb;
extern int	extAtiTexEnvComb;

#endif