//-----------------------------------------------------------------------------
//
// R3D_DEFS.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
// Revision 2.1.1 build 0 07/Dec/2006 gmj (b211-0)
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//-----------------------------------------------------------------------------

#ifndef __R3D_SETUPFNS_H__
#define __R3D_SETUPFNS_H__

// R3D add on functions in p_setupFns.cpp called from P_SetupLevel needed when initialising a map for a ne game
void	PH_CheckExternal3DLiftSector(void);
void	PH_CheckYoffInheritance(void);
void	PH_CheckHoldState(void);
void	PH_CheckIntegrity(void);
void	PH_CheckMobjFitsSector(void);
void	PH_CheckMobjShadows(void);
void	PH_CheckStress(void);
void	PH_CheckSpawnedbySkill(void);
void	PH_CheckSSECrefs(void);
void	PH_CheckTorchGlow(void);
void	PH_PrintModelStats(void);
void	PH_ResetChanges(void);
void	PH_SetSSECMaxDimensions(void);
void	PH_SetSCPOffsets(void);
void	PH_SpriteOffsetAdjust(void);
void	PH_ThingFlags(char *mapid);
void	PH_InitXLines(void);
void	PH_SetXLines(void);
void	PH_SetBlockOcclude(void);
void	PH_setThingAngles(char *mapid, RDBOOL isPwad);

#endif