//-----------------------------------------------------------------------------
//
// R3D_SFX.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
// NOTE: Risen3D varies substantially from any ports on which it may
//       be based [see the c file(s) to which this applies] and any
//       same named header files are not commutable.
//
//-----------------------------------------------------------------------------

#ifndef __R3D_SFX_H__
#define __R3D_SFX_H__

void Sfx_ReleaseRepeatingChannels(void);
void Sfx_SuspendRepeatingChannels(void);
void Sfx_LineSounds(void);

#define MAXLINESOUNDS	4

extern int	soundstarts[MAXLINESOUNDS];

#endif

