//-----------------------------------------------------------------------------
//
// R3D_TRACE.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//-----------------------------------------------------------------------------

#ifndef __R3D_TRACE_H__
#define __R3D_TRACE_H__

// r3d_traceGen.c
typedef struct
{
	float	v1[2];
	float	v2[2];
	int		fsec;
	int		bsec;
	int		mark;
	int		test;
	int		midx;
	int		midy;
} linev_t;

RDBOOL	subfn_LiesInTrueArea(linev_t *lv, int lcount, int refsec, float mx, float my);

#endif
