//-----------------------------------------------------------------------------
//
// Copyright (C) 2006 - 2008 G Jackson
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 
//  02111-1307, USA.
//
// $Log: r3d_special.c
// Revision 2.1.0 build 62 04/Oct/2006 gmj
// Revision 2.2.0 build 0 20/May/2008 gmj (b211-0 / b220-0)
//
// DESCRIPTION: identifies certain types (old code needs replacing)
//
//-----------------------------------------------------------------------------

#include "r3d_MAINspec.h"

//=======================================================================

RDBOOL P_CheckLightSpecial(int type)
{
	// Spawned types excluded
	switch (type)
	{
	case 139: case 170: case 79: case 35:
	case 138: case 171: case 81: case 13:
	case 192: case 169: case 80: case 12:
	case 194: case 173: case 157: case 104:
	case 193: case 172: case 156: case 17:
	// Note: next two must be masked out in LS_SetLineTaggedSectors
	case 213: case 261:
		return true;

    default:
      break;
	}
	return false;
}

RDBOOL P_CheckSpecial(int type)
{
	switch (type)
	{
	// Manual door specials
	case 1: case 26: case 27: case 28:
	case 31: case 32: case 33: case 34:
	case 117: case 118:
		
	// Thing teleporters
	case 195: case 174: case 97: case 39:
	case 126: case 125: case 210: case 209:
	case 208: case 207:
		
	// Exits
	case 11: case 52: case 197: case 51:
	case 124: case 198:

		return true;

    default:
      break;
	}
	return P_CheckLightSpecial(type);
}
