//------------------------------------------------------------------------
// TYPES : Doom structures, raw on-disk layout
//------------------------------------------------------------------------
//
//  GL-Friendly Node Builder (C) 2000-2002 Andrew Apted
//
//  Based on `BSP 2.3' by Colin Reed, Lee Killough and others.
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//------------------------------------------------------------------------

#ifndef __GLBSP_TYPES_H__
#define __GLBSP_TYPES_H__

typedef unsigned char	byte;
typedef unsigned short	ushort;
typedef unsigned int	uint;
typedef double			angle_g;  // degrees, 0 is E, 90 is N
typedef int				BOOL;

#ifndef true
#define true 1
#endif
#ifndef false
#define false 0
#endif


#endif

