//-----------------------------------------------------------------------------
//
// CON_BAR.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
// NOTE: Risen3D varies substantially from any ports on which it may
//       be based [see the c file(s) to which this applies] and any
//       same named header files are not commutable.
//
//-----------------------------------------------------------------------------

#ifndef __CON_BAR_H__
#define __CON_BAR_H__

#define PBARF_PERCENT		1	// jav do progress using count as a percent of max (default is incremental counting)

extern int	fonthgt;

void	Con_TimingStart(void);
float	Con_TimingEnd(char* szid);
void	Con_InitProgress(const char *title, int full);
void	Con_HideProgress(void);
void	Con_Progress(int count, int flags);

#endif 