//-----------------------------------------------------------------------------
//
// R3D_NODEFILE.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//-----------------------------------------------------------------------------

#ifndef __R3D_NODEFILE_H__
#define __R3D_NODEFILE_H__

typedef struct {
	int		edit;
	int		modifier;
	long	nodetime;
	long	filetime;
	int		length;
	int		xlsame;		// v220-25
	byte	*data;

} editnode_t;

extern editnode_t edn;

void	R3D_WriteAnalysedFile(char *filename);
int		R3D_ReadAnalysedFile(char *filename);
int		R3D_CheckAnalysedFile(char *filename, long nodetime);
int		R3D_WriteNodesFile(char *fname);
void	R3D_ReadNodesFile(char *fname, int setxsame);

#endif
