// Modified for use with Risen3D v220-14 02/Apr/2012 gmj

#include "zd_doomdata.h"
#include "zd_workdata.h"
#include "zd_tarray.h"

class FBlockmapBuilder
{
public:
	FBlockmapBuilder (FLevel &level);
	WORD *GetBlockmap (int &size);

private:
	FLevel &Level;
	TArray<WORD> BlockMap;

	void BuildBlockmap ();
	void CreatePackedBlockmap (TArray<WORD> *blocks, int bmapwidth, int bmapheight);
};
